import React, { useState, useEffect } from 'react';
import { json } from 'd3';

import { feature, mesh } from 'topojson'

const jsonUrl =
  'https://gist.githubusercontent.com/NikhilMakkena/87725511b8b0fb1a2db7613dc3110d67/raw/c62f9c60613b323970c7aff9d204e693dc46fde7/sweden.json';

export const useData = () => {
  const [data, setData] = useState(null);
  
  console.log(data)
  
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      setData(
        {
          laen: feature(topojsonData, topojsonData.objects['laen.geo']),
        	interiors: mesh(topojsonData, topojsonData.objects['laen.geo'], (a, b) => a !== b)
        })  
    });
  }, []);
  
  return data;
};